FROM ubuntu:20.04

RUN apt update
RUN apt install -y software-properties-common
RUN add-apt-repository -y ppa:openshot.developers/ppa
RUN apt update
RUN DEBIAN_FRONTEND=noninteractive apt-get install keyboard-configuration -y
RUN apt-get update && apt-get install -y apt-transport-https
RUN apt-get upgrade -y
RUN apt install ffmpeg -y
RUN apt-get install python3-pip -y
RUN apt install -y python3-openshot openshot-qt
RUN apt-get install vim -y
RUN pip3 install fastapi
RUN pip3 install uvicorn[standard]
RUN pip3 install numpy==1.19.2
RUN pip3 install BeautifulSoup4
RUN pip3 install Pillow
RUN pip3 install pyttsx3
RUN pip3 install zhtts
RUN pip3 install rpyc
RUN pip3 install websocket
RUN pip3 install websocket-client
RUN pip3 install dataset
RUN pip3 install aiofiles
RUN apt-get install python3-openshot -y
#RUN apt-get install openshot-qt -y
RUN apt install -y xvfb
RUN pip3 install gtts
RUN pip3 install ffmpy
RUN pip3 install --upgrade google-api-python-client
RUN pip3 install progressbar
RUN pip3 install pysrt
RUN apt install -y xvfb
RUN pip3 install pandas
RUN pip3 install opencv-contrib-python
RUN pip3 install autosub
RUN pip3 install autosub3
RUN pip3 install openpyxl
RUN sudo apt install unrar
RUN pip3 install rarfile
RUN pip3 install fire
RUN pip3 install oauth2client
RUN pip3 install gspread
RUN pip3 install tensorflow==2.5.0
RUN pip3 install transformers
RUN pip3 install bert-extractive-summarizer
RUN pip3 install spacy==2.3.1

